
#include "stdafx.h"

#include "ManagedLock.h"

namespace Bon
{
	namespace Internal
	{
		ManagedLock::ManagedLock(System::Object^ target)
			: target_(target)
		{
			System::Threading::Monitor::Enter(target_);
		}

		ManagedLock::~ManagedLock()
		{
			System::Threading::Monitor::Exit(target_);
		}
	}
}
