
#pragma once

namespace Bon
{
	namespace Internal
	{
		class DataQueueManager;
	}

	ref class DataQueue;

	public ref class Tuner : public System::Runtime::ConstrainedExecution::CriticalFinalizerObject
	{
	private:
		ITsSourceTuner *pTsSourceTuner_;
		ITsPacketSync *pTsPacketSync_;
		IProgAnalyzer *pProgAnalyzer_;
		ITsDescrambler *pTsDescrambler_;
		Internal::DataQueueManager *pManager_;

	internal:
		void RemoveQueue(DataQueue^ queue);

	public:
		Tuner(System::String^ tunerName);
		~Tuner();

		DataQueue^ CreateQueue();
		void SetChannel(int space, int channel);
	};
}
