// BonBlackTuner.h: Friio`[i[NX
//
/////////////////////////////////////////////////////////////////////////////

#pragma once

#include <Vector>
#include <Queue>
#include "BonEnumerator.h"
#include "BonTunerBase.h"

/////////////////////////////////////////////////////////////////////////////
// Friiop@TS`[i HALC^tF[XNX
/////////////////////////////////////////////////////////////////////////////

class CBonBlackTuner :	public CBonTunerBase
{
public:
// CBonObject
	DECLARE_IBONOBJECT(CBonBlackTuner)

// IHalDevice
	virtual const DWORD GetDeviceName(LPTSTR lpszName);

// IHalTsTuner
	virtual const DWORD EnumTuningSpace(const DWORD dwSpace, LPTSTR lpszSpace);
	virtual const DWORD EnumChannelName(const DWORD dwSpace, const DWORD dwChannel, LPTSTR lpszChannel);

	virtual const bool SetLnbPower(const bool bEnable);
	virtual const float GetSignalLevel(void);

// CBonBlackTuner
	CBonBlackTuner(IBonObject *pOwner);
	
protected:
	virtual const bool OnOpenTuner(void);
	virtual const bool OnSetChannel(const DWORD dwSpace, const DWORD dwChannel);
};
