
#include "stdafx.h"

#include "BonException.h"

namespace Bon
{
	BonException::BonException(System::Runtime::Serialization::SerializationInfo^ info,
		System::Runtime::Serialization::StreamingContext context)
		: System::Exception(info, context)
	{
	}

	BonException::BonException(System::String^ format, ... array<System::Object^>^ args)
		: System::Exception(System::String::Format(format, args))
	{
	}

	BonException::BonException(System::Exception^ inner,
		System::String^ format, ... array<System::Object^>^ args)
		: System::Exception(System::String::Format(format, args), inner)
	{
	}
}
