
#pragma once

namespace Bon
{
	ref class Tuner;

	public ref class DataQueue : public System::Object
	{
	private:
		Tuner^ parent_;
		initonly int maxQueueUnits_;
		initonly System::Collections::Generic::Queue<System::Collections::Generic::KeyValuePair<array<System::Byte>^, int> >^ queue_;
		initonly System::Threading::ManualResetEvent^ queued_;

	internal:
		DataQueue(Tuner^ parent, int maxQueueUnits);

		void Close();

	public:
		~DataQueue();

		void Clear();

		property System::Threading::WaitHandle^ CanDequeueHandle
		{
			System::Threading::WaitHandle^ get();
		}

		void Enqueue(System::Collections::Generic::KeyValuePair<array<System::Byte>^, int> data);
		System::Collections::Generic::KeyValuePair<array<System::Byte>^, int> Dequeue();
	};
}
