
#pragma once

namespace Bon
{
	namespace Internal
	{
		class ManagedBuffer
		{
		private:
			const int bufferSize_;
			void *handle_;
			BYTE *pBuffer_;

			void Allocate();
			void Free();

			ManagedBuffer(const ManagedBuffer &);
			void operator =(const ManagedBuffer &);

		public:
			ManagedBuffer(int bufferSize);
			~ManagedBuffer();

			const int GetSize() const;

			const BYTE *GetData() const;
			BYTE *GetData();

			array<System::Byte>^ GetManagedData();

			void Renew();
		};
	}
}
